Wind River Support Network

HomeDefectsLIN5-19518
Fixed

LIN5-19518 : Security Advisory - bash - CVE-2014-7186

Created: Oct 8, 2014    Updated: Dec 19, 2017
Resolved Date: Oct 20, 2014
Previous ID: LIN4-31778
Found In Version: 5.0.1.20
Fix Version: 5.0.1.20
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The redirection implementation in parse.y in GNU Bash through 4.3 bash43-026 allows remote attackers to cause a denial of service (out-of-bounds array access and application crash) or possibly have unspecified other impact via crafted use of here documents, aka the "redir_stack" issue. 

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-7186

Other Downloads


Live chat
Online